Subject: bug#60762: 28.2; info--manual-names ignores Info-additional-directory-list

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Jan 2023 15:18:58 +0200

> From: Sean Devlin <[email-masked]>
> Date: Fri, 13 Jan 2023 07:04:53 -0500
> Cc: [email-masked]
> 
> >> The variable Info-additional-directory-list is intended as the main
> >> Lisp-level customization point for users.
> > 
> > That is inaccurate.  The main Lisp-level customization variable for
> > users is Info-default-directory-list.  So the question I'd like to ask
> > before discussing the situations you describe is why don't you
> > customize Info-default-directory-list instead?
> 
> The documentation string for Info-default-directory says:
> 
> “Although this is a customizable variable, that is mainly for technical
> reasons.  Normally, you should either set INFOPATH or customize
> `Info-additional-directory-list', rather than changing this variable.”

This text is no longer in the doc string in Emacs 29.

> To me, this suggests that users should prefer
> Info-additional-directory-list. I guess that will change in Emacs 29,
> but that is not released yet.

Yes, the main customization option is Info-default-directory-list.

> To be clear, I have already worked around this issue in my own
> configuration.

Can you tell whether customizing Info-default-directory-list solves
the problems in your case?  I'd like to know if there's still a
problem we need to consider for Emacs 29.

Thanks.